<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Statistiky\Tests\Unit\Entities\Zaznam\ValueObjects;

use Seka\Portal\Modul\Statistiky\Tests\TestCase;
use Seka\Portal\Modul\Statistiky\Entities\Zaznam\ValueObjects\PocetKontrolPodlaKategorieVozidla;

/**
 * Class PocetKontrolPodlaKategorieVozidlaTest
 *
 * @package Seka\Portal\Modul\Statistiky\Tests\Unit\Entities\Zaznam\ValueObjects
 */
class PocetKontrolPodlaKategorieVozidlaTest extends TestCase
{
    /**
     *
     */
    public function test_create_instance()
    {
        $pocetKontrolPodlaKategorieVozidla = new PocetKontrolPodlaKategorieVozidla('M1', 21);

        self::assertInstanceOf(PocetKontrolPodlaKategorieVozidla::class, $pocetKontrolPodlaKategorieVozidla);
    }

    /**
     *
     */
    public function test_transformation_to_array()
    {
        $pocetKontrolPodlaKategorieVozidla = new PocetKontrolPodlaKategorieVozidla('M1', 21);
        $arrayOutput = $pocetKontrolPodlaKategorieVozidla->toArray();

        self::assertIsArray($arrayOutput);
        self::assertArrayHasKey('kategoria', $arrayOutput);
        self::assertArrayHasKey('pocet', $arrayOutput);
    }

    /**
     *
     */
    public function test_transformation_to_json()
    {
        $pocetKontrolPodlaKategorieVozidla = new PocetKontrolPodlaKategorieVozidla('M1', 21);
        $jsonString = $pocetKontrolPodlaKategorieVozidla->jsonSerialize();

        self::assertJson($jsonString);
        self::assertJsonStringEqualsJsonString('{"kategoria":"M1","pocet":21}', $jsonString);
    }
}
